<?php
class Sk_Attach extends Attach {
  function __construct( $table ){
    parent::__construct($table);
  }

  public function putAttach( $upfile, $gubun, $nid, $sid, $exp="" ) {
    $target_dir = _UP_PATH_."/{$gubun}";
    if( !file_exists($target_dir) ){
      mkdir($target_dir);
    }
    $rst = move_uploaded_file($upfile['tmp_name'], "{$target_dir}/{$nid}_{$sid}.dat");
    if( !$rst ) return false;

    if( strpos($upfile['type'], "image") !== false ){
      $iinfo = getimagesize("{$target_dir}/{$nid}_{$sid}.dat");
      $upfile['width'] = $iinfo[0];
      $upfile['height'] = $iinfo[1];
    }

    $sqldata = Array(
      "gubun"       => $gubun?:"",
      "nid"         => $nid?:"",
      "sid"         => $sid?:"",
      "file_name"   => $upfile['name']?:"",
      "file_size"   => $upfile['size']?:0,
      "file_type"   => $upfile['type']?:"",
      "file_width"  => $upfile['width']?:"",
      "file_height" => $upfile['height']?:"",
      "file_exp"    => $exp,
      "reg_date"    => $this->DB->sqleval("getdate()"),
    );

    return $this->putData( $sqldata );
  }

  public function setAttach( $upfile, $gubun, $nid, $sid, $exp="" ) {
    $target_dir = _UP_PATH_."/{$gubun}";
    if( !file_exists($target_dir) ){
      mkdir($target_dir);
    }
    $rst = move_uploaded_file($upfile['tmp_name'], "{$target_dir}/{$nid}_{$sid}.dat");
    if( !$rst ) return false;

    if( strpos($upfile['type'], "image") !== false ){
      $iinfo = getimagesize("{$target_dir}/{$nid}_{$sid}.dat");
      $upfile['width'] = $iinfo[0];
      $upfile['height'] = $iinfo[1];
    }

    $sqldata = Array(
      "gubun"       => $gubun?:"",
      "nid"         => $nid?:"",
      "sid"         => $sid?:"",
      "file_name"   => $upfile['name']?:"",
      "file_size"   => $upfile['size']?:0,
      "file_type"   => $upfile['type']?:"",
      "file_width"  => $upfile['width']?:"",
      "file_height" => $upfile['height']?:"",
      "file_exp"    => $exp,
      "reg_date"    => $this->DB->sqleval("getdate()"),
    );

    $whererow = Array(
      "gubun" => $gubun?:"",
      "nid" => $nid?:"",
      "sid" => $sid?:"",
    );

    return $this->setData( $sqldata, $whererow );
  }


  public function putAttachRemk($filepath){
    $filename = '/example.txt';
    $content = '이것은 텍스트 파일에 쓰여질 내용입니다.';
    
    $fpath = explode("/", $filepath);
    $fpath =  $fpath + $filename;
  
    if (file_exists($filename)) {
      // 파일 열기 (쓰기 모드)
      // $file = fopen($filename, 'w');
      print_r($fpath);
  
      if ($file) {
          // 파일에 내용 쓰기
          // fwrite($file, $content);
          // // 파일 닫기
          // fclose($file);
          
          echo "텍스트 파일이 성공적으로 생성되었습니다.";
      } else {
          echo "파일을 열 수 없습니다.";
      }
    }
  }




}

